Add Participants
curl --request POST \
--url https://api.skortorent.com/api/v1/applications/{applicationId}/participants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenants": [
{
"email": "cotenant@example.com",
"is_guarantor": false
}
]
}
'import requests
url = "https://api.skortorent.com/api/v1/applications/{applicationId}/participants"
payload = { "tenants": [
{
"email": "cotenant@example.com",
"is_guarantor": False
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenants: [{email: 'cotenant@example.com', is_guarantor: false}]})
};
fetch('https://api.skortorent.com/api/v1/applications/{applicationId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skortorent.com/api/v1/applications/{applicationId}/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tenants' => [
[
'email' => 'cotenant@example.com',
'is_guarantor' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.skortorent.com/api/v1/applications/{applicationId}/participants"
payload := strings.NewReader("{\n \"tenants\": [\n {\n \"email\": \"cotenant@example.com\",\n \"is_guarantor\": false\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.skortorent.com/api/v1/applications/{applicationId}/participants")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tenants\": [\n {\n \"email\": \"cotenant@example.com\",\n \"is_guarantor\": false\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skortorent.com/api/v1/applications/{applicationId}/participants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tenants\": [\n {\n \"email\": \"cotenant@example.com\",\n \"is_guarantor\": false\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"application_id": "<string>",
"title": "<string>",
"participants": [
{
"name": "<string>",
"email": "jsmith@example.com",
"consent_status": "pending",
"onboarding_status": "COMPLETED",
"id": "<string>",
"is_lead": true,
"is_guarantor": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Applications
Add Participants
Add one or more people to an application. New people get an invite email.
POST
/
applications
/
{applicationId}
/
participants
Add Participants
curl --request POST \
--url https://api.skortorent.com/api/v1/applications/{applicationId}/participants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenants": [
{
"email": "cotenant@example.com",
"is_guarantor": false
}
]
}
'import requests
url = "https://api.skortorent.com/api/v1/applications/{applicationId}/participants"
payload = { "tenants": [
{
"email": "cotenant@example.com",
"is_guarantor": False
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenants: [{email: 'cotenant@example.com', is_guarantor: false}]})
};
fetch('https://api.skortorent.com/api/v1/applications/{applicationId}/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.skortorent.com/api/v1/applications/{applicationId}/participants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tenants' => [
[
'email' => 'cotenant@example.com',
'is_guarantor' => false
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.skortorent.com/api/v1/applications/{applicationId}/participants"
payload := strings.NewReader("{\n \"tenants\": [\n {\n \"email\": \"cotenant@example.com\",\n \"is_guarantor\": false\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.skortorent.com/api/v1/applications/{applicationId}/participants")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tenants\": [\n {\n \"email\": \"cotenant@example.com\",\n \"is_guarantor\": false\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.skortorent.com/api/v1/applications/{applicationId}/participants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tenants\": [\n {\n \"email\": \"cotenant@example.com\",\n \"is_guarantor\": false\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "<string>",
"data": {
"application_id": "<string>",
"title": "<string>",
"participants": [
{
"name": "<string>",
"email": "jsmith@example.com",
"consent_status": "pending",
"onboarding_status": "COMPLETED",
"id": "<string>",
"is_lead": true,
"is_guarantor": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Authorizations
HTTP Bearer Authentication. Generate a shared token via
/authenticate/token, then pass it as Authorization: Bearer <token>.
Path Parameters
Body
application/json
Emails must be unique and not already in the application.
Minimum array length:
1Show child attributes
Show child attributes